#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define module	zope.component
Summary:	Core of the Zope Component Architecture
Summary(pl.UTF-8):	Rdzeń Zope Component Architecture
Name:		python-%{module}
Version:	4.4.1
Release:	3
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/z/zope.component/zope.component-%{version}.tar.gz
# Source0-md5:	dc43aca08995751159e4b0f98f5afc5a
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-zope.deferredimport
Requires:	python-zope.deprecation
Requires:	python-zope.event
Requires:	python-zope.interface
Requires:	python-zope.proxy
Requires:	python-zope.testing
Requires:	python-modules
Obsoletes:	Zope-Component
Provides:	Zope-Component
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Core of the Zope Component Architecture.

%description -l pl.UTF-8
Rdzeń architektury komponentowej Zope Component Architecture.

%package -n python3-zope.component
Summary:	Core of the Zope Component Architecture
Summary(pl.UTF-8):	Rdzeń Zope Component Architecture
Group:		Libraries/Python

%description -n python3-zope.component
Core of the Zope Component Architecture.

%description -n python3-zope.component -l pl.UTF-8
Rdzeń architektury komponentowej Zope Component Architecture.

%prep
%setup -q -n zope.component-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install \
	--install-purelib=%{py_sitedir}

%py_postclean
%endif

%if %{with python3}
%py3_install \
	--install-purelib=%{py3_sitedir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if %{with python2}
%{py_sitedir}/zope/component
%{py_sitedir}/zope.component-*.egg-info
%{py_sitedir}/zope.component-*-nspkg.pth
%endif

%files -n python3-zope.component
%defattr(644,root,root,755)
%if %{with python3}
%{py3_sitedir}/zope/component
%{py3_sitedir}/zope.component-*.egg-info
%{py3_sitedir}/zope.component-*-nspkg.pth
%endif
%changelog
* Mon Jul 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.component.git;a=log;h=master

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 209f6a5
- release 3 (by relup.sh)

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 60fd7ab
- Python3 support added

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 6cb5e11
- Version: 4.4.1

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 2afa7b0
- Zope-Component renamed to python-zope.component

* Sun Dec 06 2015 Elan Ruusamäe <glen@delfi.ee> de86075
- rebuild to include pythonegg provides

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 9f6b074
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> fd8331a
- automatic change: use py_build/py_install macros

* Mon Jun 06 2011 marti <marti@pld-linux.org> 4d34470
- up to 3.10.0

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 318d867
- release 2

* Wed Feb 10 2010 sparky <sparky@pld-linux.org> 5777111
- BR: python-setuptools

* Mon Feb 08 2010 wrobell <wrobell@pld-linux.org> 28f48bb
- ver. 3.7.1

* Wed Jun 03 2009 amateja <amateja@pld-linux.org> 8d4f9c9
- updated to 3.6.0

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> c387674
- ver. 3.5.1

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> cc23c0d
- rel. 2

* Sun Apr 27 2008 wrobell <wrobell@pld-linux.org> 4d3949e
- final 3.4.0
- use pypi url as downloads.zope.org is bit out of date

* Tue Mar 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 65cea76
- py_sitedir is not noarch

* Tue Mar 04 2008 wrobell <wrobell@pld-linux.org> b4299e7
- noarch is back

* Tue Mar 04 2008 wrobell <wrobell@pld-linux.org> b053b81
- moved to py_sitedir
- rel. 0.snap.2

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> e1aeb04
- rpm/python deps

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> acbb4a3
- python 2.5 for .egg-info
- noarch

